Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class WindowName

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.MarkupElement
                  |
                  +--weblogic.html.WindowName

public class WindowName
extends MarkupElement

The WindowName class is used to set the attribute to direct a link to display in a targeted window. The variables in this class correspond to the magic target names used in the TARGET attribute.

Author:
  Copyright (c) 1995-97, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `AreaElement`, `AnchorElement`, `FormElement`, `FrameElement`

Field Summary
`static WindowName` | `blank` Deprecated. Causes the link to always be loaded in a new blank, unnamed window.
`static WindowName` | `parent` Deprecated. Causes the link to be loaded in the immediate FRAMESET parent.
`static WindowName` | `self` Deprecated. Causes the link to always be loaded in the same window as the originating link.
`static WindowName` | `top` Deprecated. Causes the link to load at the top of the document in the same window.

Fields inherited from class weblogic.html.MarkupElement
`BeginAddress, BeginAddressStr, BeginBlockquote, BeginBlockquoteStr, BeginBody, BeginBodyStr, BeginBold, BeginBoldStr, BeginCenter, BeginCenterStr, BeginComment, BeginCommentStr, BeginDiv, BeginDivStr, BeginHeadStr, BeginHtml, BeginHtmlStr, BeginItalic, BeginItalicStr, BeginLiteral, BeginLiteralStr, BeginParagraph, BeginParagraphStr, BeginScriptStr, BeginTitle, BeginTitleStr, Break, BreakStr, contents, CR, CRStr, EndAddress, EndAddressStr, EndBlockquote, EndBlockquoteStr, EndBody, EndBodyStr, EndBold, EndBoldStr, EndCenter, EndCenterStr, EndComment, EndCommentStr, EndDiv, EndDivStr, EndFont, EndFontStr, EndHeadStr, EndHtml, EndHtmlStr, EndItalic, EndItalicStr, EndLiteral, EndLiteralStr, EndParagraph, EndParagraphStr, EndScriptStr, EndTitle, EndTitleStr, HorizontalLine, HorizontalLineStr, HorizontalRule, NoBreak, NoBreakStr, WordBreak, WordBreakStr`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`WindowName(java.lang.String str)` Deprecated. Constructs a WindowName object.

Methods inherited from class weblogic.html.MarkupElement
`BeginFont, BeginFontFace, BeginFontSize, BeginHeader, EndHeader, output, output, output, setContents`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString, widthAsLiteral`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### blank

    public static WindowName blank

  Deprecated.
  Causes the link to always be loaded in a new blank, unnamed window.

### self

    public static WindowName self

  Deprecated.
  Causes the link to always be loaded in the same window as the originating link.

### parent

    public static WindowName parent

  Deprecated.
  Causes the link to be loaded in the immediate FRAMESET parent. If there is no parent, this defaults to the same window as assigning "self".

### top

    public static WindowName top

  Deprecated.
  Causes the link to load at the top of the document in the same window. If the document is already at the top, this defaults to the same action as the variable "self".

Constructor Detail

### WindowName

    public WindowName(java.lang.String str)

  Deprecated.
  Constructs a WindowName object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD